#̓f[^ƃpbP[W̓ǂݍ
###########################################################################
library(lmerTest)
library(arm)
data1 <- read.csv("wZf[^.csv")
###########################################################################


#_ؕЁEXf
#############################################################################
#f̎s
rismodel <- lmer(post1 ~ pre1.cwc +(1+pre1.cwc|schoolID),data=data1,REML=FALSE)
#͌ʂ̕\
summary(rismodel)
#_p[^̏ڍו\
VarCorr(rismodel)
#Œʂ̏ڍו\
fixef(rismodel)
#Œʂ̕W덷
se.fixef(rismodel)
#MԂ̎Zo
confint(rismodel,level=.95)
#############################################################################

#NXxݍpʐ胂f1
#############################################################################
#ϐ̏
pre2.mdev <- data1$pre2.m-mean(data1$pre2.m)
#f̎s
crosslevel<- lmer(post1 ~ pre1.cwc +@pre2.mdev +
pre1.cwc:pre2.mdev + (1 + pre1.cwc|schoolID),
data=data1,REML=FALSE)
#͌ʂ̕\
summary(crosslevel)
#_p[^̏ڍו\
VarCorr(crosslevel)
#Œʂ̏ڍו\
fixef(crosslevel)
#Œʂ̕W덷
se.fixef(crosslevel)
#MԂ̎Zo
confint(crosslevel,level=.95)
#############################################################################

#NXxݍpʐ胂f2
#############################################################################
#ϐ̏
pre2.mdev <- data1$pre2.m-mean(data1$pre2.m)
time2.dev <- data1$time2-mean(data1$time2) 
#f̎s
crosslevel2 <- lmer(post1 ~ pre1.cwc +@time2.dev + pre2.mdev + 
+ (pre1.cwc:time2.dev) +(pre1.cwc:pre2.mdev) +
+ (1 + pre1.cwc|schoolID),data=data1,REML=FALSE)
#͌ʂ̕\
summary(crosslevel2)
#_p[^̏ڍו\
VarCorr(crosslevel2)
#Œʂ̏ڍו\
fixef(crosslevel2)
#Œʂ̕W덷
se.fixef(crosslevel2)
#MԂ̎Zo
confint(crosslevel2,level=.95)
#############################################################################

#fr
#############################################################################
#Sf̓KxwW̎Zo
anova(anovamodel,rancovamodel,maomodel,bweffectmodel,rismodel,crosslevel)
#lXgf̖ޓx䌟
anova(anovamodel,maomodel,bweffectmodel,rismodel,crosslevel)
################################################################################